## ocaml-curses 1.0.2

=== Makefile ===
# $Id: Makefile,v 1.10 2007/09/26 09:39:38 smimram Exp $

PACKAGE = ocaml-curses
VERSION = 1.0.2
CURSES = ncurses

RESULT = curses
SOURCES = ml_curses.c keys.ml curses.mli curses.ml

CFLAGS = -g -Wall
LIBINSTALL_FILES = $(wildcard *.mli *.cmi *.cma *.cmxa *.a *.so)
OCAMLDOCFLAGS = -stars

all: byte opt

opt: ncl META

byte: bcl META

install: byte libinstall

uninstall: libuninstall

test: test.ml byte
	$(OCAMLC) -I . -o $@ curses.cma $<

test.opt: test.ml opt
	$(OCAMLOPT) -I . -o $@ curses.cmxa $<

META: META.in
	sed \
	  -e 's/@PACKAGE@/curses/' \
	  -e 's/@VERSION@/$(VERSION)/' \
	  -e 's/@CURSES@/$(CURSES)/' \
	  < $< > $@

doc: htdoc

distclean: clean
	rm -rf doc/curses

# Distribution.

dist:
	$(MAKE) check-manifest
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	tar -cf - -T MANIFEST | tar -C $(PACKAGE)-$(VERSION) -xf -
	tar zcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)
	ls -l $(PACKAGE)-$(VERSION).tar.gz

check-manifest:
	@for d in `find -type d -name CVS | grep -v '^\./debian/'`; \
	do \
	  b=`dirname $$d`/; \
	  awk -F/ '$$1 != "D" {print $$2}' $$d/Entries | \
	  sed -e "s|^|$$b|" -e "s|^\./||"; \
	done | grep -v \.cvsignore | sort > .check-manifest; \
	sort MANIFEST > .orig-manifest; \
	diff -u .orig-manifest .check-manifest; rv=$$?; \
	rm -f .orig-manifest .check-manifest; \
	exit $$r

# Upload to Savannah.

USER = $(shell whoami)

upload:
	rm -f $(PACKAGE)-$(VERSION).tar.gz.sig
	gpg -b $(PACKAGE)-$(VERSION).tar.gz
	scp $(PACKAGE)-$(VERSION).tar.gz{,.sig} \
	  $(USER)@dl.sv.nongnu.org:/releases/ocaml-tmk

include OCamlMakefile

.PHONY: doc

## ocaml-curses 1.0.3

=== debian/changelog ===
ocaml-curses (1.0.3-3build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:59:33 +0200

ocaml-curses (1.0.3-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Bump debhelper compat to 10
  * Update Vcs-*

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Sven Joachim ]
  * Use TERMTYPE rather than TERMINAL in configure check, the latter is
    opaque in recent ncurses versions (Closes: #868599).

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jul 2017 20:29:29 +0200

ocaml-curses (1.0.3-2) unstable; urgency=low

  * Team upload.
  * Enable wide character support (Closes: #600897).
    - Use libncursesw5-dev instead of libncurses5-dev in Build-Depends.
  * Convert to 3.0 (quilt) source format
    - Use quilt instead of dpatch
    - Fix build-depends-on-obsolete-package dpatch
  * Fix debhelper-but-no-misc-depends
  * Bump Standards-Version to 3.9.2, no changes needed
  * Fix debian-rules-missing-recommended-target build-{arch,indep}
  * Fix duplicate-short-description
  * Fix by copyright-with-old-dh-make-debian-copyright s/(C)/©/.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 05 Jan 2012 02:43:58 +0100

ocaml-curses (1.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #528838, #550377)
  * Use dh-ocaml 0.9.1 features
  * Upgrade Standards-Version to 3.8.3 (README.source, section ocaml)
  * Add myself to Uploaders and set Maintainer to 'Debian OCaml
    Maintainers'
  * Clean up file left after build
  * Add .doc-base file for API documentation
  * Remove byte.dpatch, add run_autoconf.dpatch to create configure and
    config.h.in

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 16 Dec 2009 23:49:58 +0000

ocaml-curses (1.0.2-3) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git.

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.11.
  * Use dh-ocaml.
  * Update compat to 7.
  * Update standards version to 3.8.0.
  * Add Homepage field.

 -- Samuel Mimram <smimram@debian.org>  Sun, 01 Mar 2009 21:10:25 +0100

ocaml-curses (1.0.2-2) unstable; urgency=low

  * Using dpatch to handle patches.
  * Added byte.dpatch to really fix the FTBFS on non-native archs.

 -- Samuel Mimram <smimram@debian.org>  Wed, 10 Oct 2007 10:53:14 +0000

ocaml-curses (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Should build cleanly on non-native archs, closes: #442229.

 -- Samuel Mimram <smimram@debian.org>  Tue, 09 Oct 2007 12:04:37 +0000

ocaml-curses (1.0.1-2) unstable; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Mon, 10 Sep 2007 02:06:50 +0200

ocaml-curses (1.0.1-1) unstable; urgency=low

  * Initial release, closes: #439711.

 -- Samuel Mimram <smimram@debian.org>  Mon, 27 Aug 2007 16:28:28 +0200

=== debian/control ===
Source: ocaml-curses
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.13.19), libncursesw5-dev, ocaml-nox (>= 3.11), dh-ocaml (>= 0.9.1), ocaml-findlib (>= 1.2.4)
Standards-Version: 3.9.2
Homepage: http://www.nongnu.org/ocaml-tmk/
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-curses.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-curses.git

Package: libcurses-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the ncurses library (runtime)
 The ncurses library provides functions to create rich text-mode
 interfaces. This package contains the necessary files to use the ncurses
 library in OCaml.
 .
 This package contains only the shared runtime stub libraries.

Package: libcurses-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 libncursesw5-dev,
 libcurses-ocaml (= ${binary:Version}),
 ${shlib:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the ncurses library
 The ncurses library provides functions to create rich text-mode
 interfaces. This package contains the necessary files to use the ncurses
 library in OCaml.
 .
 This package contains all the development stuff you need to use ocaml-curses
 in your programs.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk
include /usr/share/ocaml/ocamlinit.mk

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

MYCFLAGS = "-O2 -g -fPIC -DHAVE_CONFIG_H"

build: build-arch

build-indep:

build-arch: patch ocamlinit build-stamp
build-stamp:
	dh_testdir

	chmod +x configure
	./configure --enable-widec
	$(MAKE) CFLAGS=$(MYCFLAGS) byte
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) CFLAGS=$(MYCFLAGS) opt
endif
	$(MAKE) htdoc

	touch build-stamp

clean: unpatch ocamlinit-clean
	dh_testdir
	dh_testroot
	rm -f build-stamp

	if test -f Makefile; then $(MAKE) distclean; fi

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	mkdir -p $(DESTDIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
	dh_install --list-missing
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_ocaml
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install ocamlinit patch unpatch

## ocaml-curses 1.0.6

=== debian/changelog ===
ocaml-curses (1.0.6-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Build with NO_CUSTOM=y
  * Fix spelling of ${shlibs:Depends} (Closes: #792957)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 12:55:04 +0200

ocaml-curses (1.0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Aug 2020 13:42:04 +0200

ocaml-curses (1.0.4-1) unstable; urgency=medium

  * Team upload
  * Remove Samuel from Uploaders
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Switch copyright to format 1.0
  * Update Vcs-* to point to salsa

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 11:09:22 +0200

=== debian/control ===
Source: ocaml-curses
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libncursesw5-dev,
 ocaml-nox,
 ocaml-findlib,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/mbacarella/curses
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-curses.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-curses

Package: libcurses-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the ncurses library (runtime)
 The ncurses library provides functions to create rich text-mode
 interfaces. This package contains the necessary files to use the ncurses
 library in OCaml.
 .
 This package contains only the shared runtime stub libraries.

Package: libcurses-ocaml-dev
Architecture: any
Depends:
 libncursesw5-dev,
 libcurses-ocaml (= ${binary:Version}),
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml bindings for the ncurses library
 The ncurses library provides functions to create rich text-mode
 interfaces. This package contains the necessary files to use the ncurses
 library in OCaml.
 .
 This package contains all the development stuff you need to use ocaml-curses
 in your programs.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

MYCFLAGS = "-O2 -g -fPIC -DHAVE_CONFIG_H"

export NO_CUSTOM=y

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	./configure --enable-widec

override_dh_auto_build:
	$(MAKE) CFLAGS=$(MYCFLAGS) byte
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) CFLAGS=$(MYCFLAGS) opt
endif
	$(MAKE) htdoc

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

=== debian/watch ===
version=3
https://github.com/mbacarella/curses/releases .*/archive/([0-9.]+)\.tar\.gz

## ocaml-curses 1.0.10

=== debian/changelog ===
ocaml-curses (1.0.10-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:51 +0100

ocaml-curses (1.0.10-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 09:50:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
  debhelper-compat (= 13),
  libncursesw5-dev,
  ocaml-nox,
- ocaml-findlib,
+ ocaml-dune,
+ libdune-ocaml-dev,
+ pkg-config,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/mbacarella/curses
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-curses.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p curses

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

## ocaml-curses 1.0.11

=== debian/changelog ===
ocaml-curses (1.0.11-4build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 14:56:24 +0200

ocaml-curses (1.0.11-4build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 23:40:46 +0100

ocaml-curses (1.0.11-4build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:37:09 +0200

ocaml-curses (1.0.11-4build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:12:33 +0200

ocaml-curses (1.0.11-4build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:10:05 +0100

ocaml-curses (1.0.11-4) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:48:22 +0200

ocaml-curses (1.0.11-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 06:47:21 +0200

ocaml-curses (1.0.11-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:14:47 +0200

ocaml-curses (1.0.11-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 19:16:59 +0100

=== debian/watch ===
version=4
https://github.com/mbacarella/curses/releases .*curses-([0-9.]+)\.tbz
